function idx=oscwfmidx(OscRecord,label)
  
# idx = oscwfmidx(OscRecord, label)
#
# Returns the numerical index of a waveform in OscRecord.Waveforms indicated by 
# its label (such as "Ch1", "Math" or "Ref1", depending on the particular 
# oscilloscope type). The label is case-insensitive.
#
# Returns 0 if no waveform with the givel label is found in OscRecord.

# Author:
#   Lukasz Starzak 
#   Dept. of Microelectronics and Computer Science, Lodz University of Technology
  
  idx = 0;
  label = tolower(label);
  for iWfm=[1:OscRecord.nWfms]
    if (strcmp(tolower(OscRecord.Waveforms(iWfm).Params.label), label))
      idx = iWfm;
      break;
    endif
  endfor
  
endfunction
