function [yStatIni,yStatFin]=stationaryvalues(y,shouldPlot=false)

# [yStatIni, yStatFin] = stationaryvalues(y)
#
# Returns the initial and final stationary levels of y.
#
# If the optional parameter shouldPlot is true, then the result is illustrated 
# in a graph.
  
# Author:
#   Lukasz Starzak 
#   Dept. of Microelectronics and Computer Science, Lodz University of Technology
  
  [yStatFin,iLengthFin] = stationaryvalue(y, true);
  [yStatIni,iLengthIni] = stationaryvalue(y, false);
  
  if (shouldPlot)
    figure();
    hold on;
    plot([1:nSamples], y);
    plot([nSamples-iLengthFin+1 nSamples], [yStatFin yStatFin], ":r");
    plot([1 iLengthIni], [yStatIni yStatIni], ":m");
  endif
  
endfunction
